tests: Increase timeout for shutdown for running with valgrind

To avoid timeouts when running the tests with valgrind, increase
the timeout until the swtpm process must have terminated after a
shutdown signal to 4 seconds.

Signed-off-by: Stefan Berger <stefanb@linux.vnet.ibm.com>
This commit is contained in:
Stefan Berger 2018-10-01 11:12:20 -04:00
parent b096e8938d
commit 45d2d092f3
30 changed files with 45 additions and 45 deletions

View File

@ -244,7 +244,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
echo "TPM Logfile:"
cat $logfile

View File

@ -78,7 +78,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -170,7 +170,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -196,7 +196,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -110,7 +110,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -112,7 +112,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -284,7 +284,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
echo "TPM Logfile:"
cat $logfile
@ -352,7 +352,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
echo "TPM Logfile:"
cat $logfile
@ -426,7 +426,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
echo "TPM Logfile:"
cat $logfile

View File

@ -283,7 +283,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
echo "TPM Logfile:"
cat $logfile

View File

@ -93,7 +93,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -151,7 +151,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -246,7 +246,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
echo "TPM Logfile:"
cat $logfile

View File

@ -79,7 +79,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -167,7 +167,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -96,7 +96,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -144,7 +144,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -250,7 +250,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
echo "TPM Logfile:"
cat $logfile
@ -318,7 +318,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
echo "TPM Logfile:"
cat $logfile
@ -365,7 +365,7 @@ if [ $? -eq 0 ]; then
exit 1
fi
if ! wait_process_gone ${SWTPM_PID} 1; then
if ! wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM not running anymore after failed INIT."
echo "TPM Logfile:"
cat $logfile
@ -394,7 +394,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
echo "TPM Logfile:"
cat $logfile

View File

@ -256,7 +256,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
echo "TPM Logfile:"
cat $logfile

View File

@ -310,7 +310,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
echo "TPM Logfile:"
cat $logfile

View File

@ -140,7 +140,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -114,7 +114,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -60,7 +60,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if ! wait_process_gone ${SWTPM_PID} 1; then
if ! wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM not running anymore after INIT."
exit 1
fi
@ -148,7 +148,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -220,7 +220,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -105,7 +105,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -215,7 +215,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -105,7 +105,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone ${SWTPM_PID} 1; then
if wait_process_gone ${SWTPM_PID} 4; then
echo "Error: ${SWTPM_INTERFACE} TPM should not be running anymore."
exit 1
fi

View File

@ -146,7 +146,7 @@ if wait_file_gone $PID_FILE 2; then
exit 1
fi
if wait_process_gone $PID 1; then
if wait_process_gone ${PID} 4; then
echo "Error: TPM should not be running anymore."
exit 1
fi
@ -380,7 +380,7 @@ if wait_file_gone $PID_FILE 2; then
exit 1
fi
if wait_process_gone $PID 1; then
if wait_process_gone ${PID} 4; then
echo "Error: Socket TPM should not be running anymore."
exit 1
fi
@ -448,7 +448,7 @@ if wait_file_gone $PID_FILE 2; then
exit 1
fi
if wait_process_gone $PID 1; then
if wait_process_gone ${PID} 4; then
echo "Error: Socket TPM should not be running anymore."
exit 1
fi
@ -580,7 +580,7 @@ if wait_file_gone $PID_FILE 2; then
exit 1
fi
if wait_process_gone $PID 1; then
if wait_process_gone ${PID} 4; then
echo "Error: Socket TPM should not be running anymore."
exit 1
fi

View File

@ -105,7 +105,7 @@ if wait_file_gone $PID_FILE 2; then
exit 1
fi
if wait_process_gone $PID 1; then
if wait_process_gone ${PID} 4; then
echo "Error: TPM should not be running anymore."
exit 1
fi
@ -291,7 +291,7 @@ if wait_file_gone $PID_FILE 2; then
exit 1
fi
if wait_process_gone $PID 1; then
if wait_process_gone ${PID} 4; then
echo "Error: Socket TPM should not be running anymore."
exit 1
fi
@ -351,7 +351,7 @@ if wait_file_gone $PID_FILE 2; then
exit 1
fi
if wait_process_gone $PID 1; then
if wait_process_gone ${PID} 4; then
echo "Error: Socket TPM should not be running anymore."
exit 1
fi
@ -466,7 +466,7 @@ if wait_file_gone $PID_FILE 2; then
exit 1
fi
if wait_process_gone $PID 1; then
if wait_process_gone ${PID} 4; then
echo "Error: Socket TPM should not be running anymore."
exit 1
fi

View File

@ -119,7 +119,7 @@ if [ "$res" != "$exp" ]; then
exit 1
fi
if wait_process_gone $PID 1; then
if wait_process_gone ${PID} 4; then
echo "Error: TPM should not be running anymore."
exit 1
fi

View File

@ -111,7 +111,7 @@ if wait_file_gone $PID_FILE 2; then
exit 1
fi
if wait_process_gone $PID 1; then
if wait_process_gone ${PID} 4; then
echo "Error: TPM should not be running anymore."
exit 1
fi
@ -305,7 +305,7 @@ if wait_file_gone $PID_FILE 2; then
exit 1
fi
if wait_process_gone $PID 1; then
if wait_process_gone ${PID} 4; then
echo "Error: TPM should not be running anymore."
exit 1
fi
@ -361,7 +361,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
if wait_process_gone $PID 1; then
if wait_process_gone ${PID} 4; then
echo "Error: TPM should not be running anymore."
exit 1
fi
@ -481,7 +481,7 @@ if wait_file_gone $PID_FILE 2; then
exit 1
fi
if wait_process_gone $PID 1; then
if wait_process_gone ${PID} 4; then
echo "Error: TPM should not be running anymore."
exit 1
fi

View File

@ -114,7 +114,7 @@ if wait_file_gone $PID_FILE 2; then
exit 1
fi
if wait_process_gone $PID 1; then
if wait_process_gone ${PID} 4; then
echo "Error: TPM should not be running anymore."
exit 1
fi